#ifndef HISTORIANPAGE_H
#define HISTORIANPAGE_H

#include <QWidget>
#include <QTimer>
class CHistorienData;
class CModbusHistorienMaster;

namespace Ui {
class CHistorianPage;
}

class CHistorianPage : public QWidget
{
    Q_OBJECT

public:
    explicit CHistorianPage(QWidget *parent = 0);
    ~CHistorianPage();
    int UpdateDataTable(CHistorienData *Data);
    int HistorianConnexionStatus(bool Connected);


    CModbusHistorienMaster *mProgramHandle;


private:
    Ui::CHistorianPage *ui;

public slots:
    void ConnectButtonPressed();
};

#endif // HISTORIANPAGE_H
